Global.Church Developer Portal
Global.Church API

Profile

Endpoint:https://api.global.church

CORS preflight for update-user-profile (V0)

OPTIONS
https://api.global.church
/v0/profile

CORS preflight for update-user-profile (V0)Responses

No content

No data returned

Update user profile (V0)

PATCH
https://api.global.church
/v0/profile

Proxies to the Supabase Edge Function update-user-profile. Updates first_name and last_name on the profiles table.

Update user profile (V0)Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update user profile (V0)Request Body

  • privyUserIdstring · required
  • firstNamestring · required
  • lastNamestring · required

Update user profile (V0)Responses

Profile updated

  • okboolean